<?php
$sait = Core::query("SELECT * FROM `user_sites` WHERE `id` = ?", array($_GET['get'])) -> fetch();

$img = imageCreate(320, 240);
$color = imageColorAllocate($img, 255, 255, 255);

$color = imageColorAllocate($img, 205,205,205);
imageLine($img, 40, 35, 40, 200, $color);
imageLine($img, 80, 35, 80, 200, $color);
imageLine($img, 120, 35, 120, 200, $color);
imageLine($img, 160, 35, 160, 200, $color);
imageLine($img, 200, 35, 200, 200, $color);
imageLine($img, 240, 35, 240, 200, $color);
imageLine($img, 280, 35, 280, 200, $color);

$color = imageColorAllocate($img, 0, 0, 0);
$text = 'Статистика сайта '.$sait['url'];
imagettftext($img,10,0,20,25,$color, '/system/view/stat/arial.ttf', $text);

$color = imageColorAllocate($img, 255, 0, 0);
imagettftext($img,10,0,100,230,$color, '/system/view/stat/arial.ttf', 'Хосты ---');

$color = imageColorAllocate($img, 0, 0, 255);
imagettftext($img,10,0,170,230,$color, '/system/view/stat/arial.ttf', 'Хиты ---');

$color = imageColorAllocate($img, 0, 0, 0);
imageString($img, 2, 25, 205, date("d.m", strtotime("-6 day")), $color);
imageString($img, 2, 65, 205, date("d.m", strtotime("-5 day")), $color);
imageString($img, 2, 105, 205, date("d.m", strtotime("-4 day")), $color);
imageString($img, 2, 145, 205, date("d.m", strtotime("-3 day")), $color);
imageString($img, 2, 185, 205, date("d.m", strtotime("-2 day")), $color);
imageString($img, 2, 225, 205, date("d.m", strtotime("-1 day")), $color);
imageString($img, 2, 265, 205, date("d.m"), $color);


$max = $sait['host'];
if($sait['host2'] > $max) $max = $sait['host2'];
if($sait['host3'] > $max) $max = $sait['host3'];
if($sait['host4'] > $max) $max = $sait['host4'];
if($sait['host5'] > $max) $max = $sait['host5'];
if($sait['host6'] > $max) $max = $sait['host6'];
if($sait['host7'] > $max) $max = $sait['host7'];

if($sait['hit'] > $max) $max = $sait['hit'];
if($sait['hit2'] > $max) $max = $sait['hit2'];
if($sait['hit3'] > $max) $max = $sait['hit3'];
if($sait['hit4'] > $max) $max = $sait['hit4'];
if($sait['hit5'] > $max) $max = $sait['hit5'];
if($sait['hit6'] > $max) $max = $sait['hit6'];
if($sait['hit7'] > $max) $max = $sait['hit7'];


if($max != 0) $umn = 170 / $max;
else $umn = 0;

$hosts = 200 - ( $sait['host7'] * $umn);
$hosts2 = 200 - ( $sait['host6'] * $umn);
$hosts3 = 200 - ( $sait['host5'] * $umn);
$hosts4 = 200 - ( $sait['host4'] * $umn);
$hosts5 = 200 - ( $sait['host3'] * $umn);
$hosts6 = 200 - ( $sait['host2'] * $umn);
$hosts7 = 200 - ( $sait['host'] * $umn);

if($hosts < 35) $hosts = 35;
if($hosts2 < 35) $hosts2 = 35;
if($hosts3 < 35) $hosts3 = 35;
if($hosts4 < 35) $hosts4 = 35;
if($hosts5 < 35) $hosts5 = 35;
if($hosts6 < 35) $hosts6 = 35;
if($hosts7 < 35) $hosts7 = 35;

$hits = 200 - ( $sait['hit7'] * $umn);
$hits2 = 200 - ( $sait['hit6'] * $umn);
$hits3 = 200 - ( $sait['hit5'] * $umn);
$hits4 = 200 - ( $sait['hit4'] * $umn);
$hits5 = 200 - ( $sait['hit3'] * $umn);
$hits6 = 200 - ( $sait['hit2'] * $umn);
$hits7 = 200 - ( $sait['hit'] * $umn);

if($hits < 35) $hits = 35;
if($hits2 < 35) $hits2 = 35;
if($hits3 < 35) $hits3 = 35;
if($hits4 < 35) $hits4 = 35;
if($hits5 < 35) $hits5 = 35;
if($hits6 < 35) $hits6 = 35;
if($hits7 < 35) $hits7 = 35;


$delenie = ceil($max / 10);
$color = imageColorAllocate($img, 0, 0, 0);
imageString($img, 2, 35 - strlen("0") * 5, 188, "0", $color);
imageString($img, 2, 35 - strlen($delenie) * 5, 171, $delenie, $color);
imageString($img, 2, 35 - strlen($delenie * 2) * 5, 154, $delenie * 2, $color);
imageString($img, 2, 35 - strlen($delenie * 3) * 5, 137, $delenie * 3, $color);
imageString($img, 2, 35 - strlen($delenie * 4) * 5, 120, $delenie * 4, $color);
imageString($img, 2, 35 - strlen($delenie * 5) * 5, 103, $delenie * 5, $color);
imageString($img, 2, 35 - strlen($delenie * 6) * 5, 86, $delenie * 6, $color);
imageString($img, 2, 35 - strlen($delenie * 7) * 5, 69, $delenie * 7, $color);
imageString($img, 2, 35 - strlen($delenie * 8) * 5, 52, $delenie * 8, $color);
imageString($img, 2, 35 - strlen($max) * 5, 35, $max, $color);

$color = imageColorAllocate($img, 255, 0, 0);
imageLine($img, 40, $hosts, 80, $hosts2, $color);
imageLine($img, 80, $hosts2, 120, $hosts3, $color);
imageLine($img, 120, $hosts3, 160, $hosts4, $color);
imageLine($img, 160, $hosts4, 200, $hosts5, $color);
imageLine($img, 200, $hosts5, 240, $hosts6, $color);
imageLine($img, 240, $hosts6, 280, $hosts7, $color);

$color = imageColorAllocate($img, 0, 0, 255);
imageLine($img, 40, $hits, 80, $hits2, $color);
imageLine($img, 80, $hits2, 120, $hits3, $color);
imageLine($img, 120, $hits3, 160, $hits4, $color);
imageLine($img, 160, $hits4, 200, $hits5, $color);
imageLine($img, 200, $hits5, 240, $hits6, $color);
imageLine($img, 240, $hits6, 280, $hits7, $color);

Header("Content-type: image/jpeg");
imageJpeg($img);
imageDestroy($img);

?>